Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.index
Class SecondaryIndexBuilder

    java.lang.Object
      org.apache.cassandra.db.compaction.CompactionInfo.Holder
          org.apache.cassandra.db.index.SecondaryIndexBuilder

    public class SecondaryIndexBuilder

extends CompactionInfo.Holder

Manages building an entire index from column family data. Runs on to compaction manager.

Constructor Summary
`SecondaryIndexBuilder(ColumnFamilyStore cfs, java.util.SortedSet<java.nio.ByteBuffer> columns, ReducingKeyIterator iter)`

Method Summary
`void` | `build()`
`CompactionInfo` | `getCompactionInfo()`

Methods inherited from class org.apache.cassandra.db.compaction.CompactionInfo.Holder
`isStopRequested, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecondaryIndexBuilder

    public SecondaryIndexBuilder(ColumnFamilyStore cfs,
                                 java.util.SortedSet<java.nio.ByteBuffer> columns,
                                 ReducingKeyIterator iter)

Method Detail

### getCompactionInfo

    public CompactionInfo getCompactionInfo()

  Specified by:
    `getCompactionInfo` in class `CompactionInfo.Holder`

### build

    public void build()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation